---
title: List ServiceNow templates
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > ServiceNow Integration
---

# List ServiceNow templates{% #list-servicenow-templates %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/servicenow/handles |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/servicenow/handles |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/servicenow/handles      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/servicenow/handles      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/servicenow/handles  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/servicenow/handles     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/servicenow/handles |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/servicenow/handles |

### Overview

Get all ServiceNow templates for the organization.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing ServiceNow templates

| Parent field         | Field                                  | Type     | Description                                                                                   |
| -------------------- | -------------------------------------- | -------- | --------------------------------------------------------------------------------------------- |
|                      | data [*required*]                 | [object] | Array of ServiceNow template data objects                                                     |
| data                 | attributes [*required*]           | object   | Attributes of a ServiceNow template                                                           |
| attributes           | assignment_group_id                    | uuid     | The ID of the assignment group                                                                |
| attributes           | business_service_id                    | uuid     | The ID of the business service                                                                |
| attributes           | fields_mapping                         | object   | Custom field mappings for the template                                                        |
| additionalProperties | <any-key>                              | string   |
| attributes           | handle_name [*required*]          | string   | The handle name of the template                                                               |
| attributes           | instance_id [*required*]          | uuid     | The ID of the ServiceNow instance                                                             |
| attributes           | servicenow_tablename [*required*] | string   | The name of the destination ServiceNow table                                                  |
| attributes           | user_id                                | uuid     | The ID of the user                                                                            |
| data                 | id [*required*]                   | uuid     | Unique identifier for the ServiceNow template                                                 |
| data                 | type [*required*]                 | enum     | Type identifier for ServiceNow template resources Allowed enum values: `servicenow_templates` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "assignment_group_id": "65b3341b-0680-47f9-a6d4-134db45c603e",
        "business_service_id": "65b3341b-0680-47f9-a6d4-134db45c603e",
        "fields_mapping": {
          "<any-key>": "string"
        },
        "handle_name": "incident-template",
        "instance_id": "65b3341b-0680-47f9-a6d4-134db45c603e",
        "servicenow_tablename": "incident",
        "user_id": "65b3341b-0680-47f9-a6d4-134db45c603e"
      },
      "id": "65b3341b-0680-47f9-a6d4-134db45c603e",
      "type": "servicenow_templates"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integration/servicenow/handles" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List ServiceNow templates returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.service_now_integration_api import ServiceNowIntegrationApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = ServiceNowIntegrationApi(api_client)
    response = api_instance.list_service_now_templates()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# List ServiceNow templates returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::ServiceNowIntegrationAPI.new
p api_instance.list_service_now_templates()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// List ServiceNow templates returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewServiceNowIntegrationApi(apiClient)
	resp, r, err := api.ListServiceNowTemplates(ctx)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ServiceNowIntegrationApi.ListServiceNowTemplates`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `ServiceNowIntegrationApi.ListServiceNowTemplates`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// List ServiceNow templates returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.ServiceNowIntegrationApi;
import com.datadog.api.client.v2.model.ServiceNowTemplatesResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    ServiceNowIntegrationApi apiInstance = new ServiceNowIntegrationApi(defaultClient);

    try {
      ServiceNowTemplatesResponse result = apiInstance.listServiceNowTemplates();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling ServiceNowIntegrationApi#listServiceNowTemplates");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// List ServiceNow templates returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_service_now_integration::ServiceNowIntegrationAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = ServiceNowIntegrationAPI::with_config(configuration);
    let resp = api.list_service_now_templates().await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * List ServiceNow templates returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.ServiceNowIntegrationApi(configuration);

apiInstance
  .listServiceNowTemplates()
  .then((data: v2.ServiceNowTemplatesResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
